curl --request POST \
--url https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/associate/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
]
}
'import requests
url = "https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/associate/default"
payload = { "inputs": [
{
"from": { "id": "<string>" },
"to": { "id": "<string>" }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{from: {id: '<string>'}, to: {id: '<string>'}}]})
};
fetch('https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/associate/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"associationSpec": {
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
},
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Associate records (default)
Crie o tipo de associação padrão (mais genérico) entre dois tipos de objeto
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Show child attributes
Show child attributes
Resposta
successful operation
A resposta retornada após a realização de uma operação em lote nas associações.
A data e hora em que o processo em lote foi concluído, no formato ISO 8601.
Show child attributes
Show child attributes
A data e hora em que o processamento em lote começou a ser executado, no formato ISO 8601.
O status da solicitação de processamento em lote: "PENDENTE", "PROCESSANDO", "CANCELADO" ou "CONCLUÍDO".
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Show child attributes
Um objeto contendo links relevantes relacionados à solicitação em lote.
Show child attributes
Show child attributes
O número de erros encontrados durante o processamento em lote.
A data e hora em que o processo em lote foi iniciado, no formato ISO 8601.